petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscHSetTQueryDel

Query and remove an entry from the hash table

### Synopsis

    #include <petsc/private/hashset.h>
    PetscErrorCode PetscHSetTQueryDel(PetscHSetT ht,KeyType key,PetscBool *present)

### Input Parameters

| ht | - The hash table
| key | - The entry

### Output Parameter

present -Boolean indicating whether the entry was present

### Keywords

hash table, set, query, del

### See Also

PetscHSetTQueryAdd(), PetscHSetTDel()

### Level

developer

### Location

include/petsc/private/hashset.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages